
Figure - Bug #116936
【BSP】【EVT1】【ST】【MM】使用蓝牙mic和三方录音软件无法录音
2023-03-14 11:47 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-14

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0079.X101

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【复现步骤】

1.安装录音机软件

2.连接带有mic的蓝牙耳机

3.录音

【预期结果】

3.可以正常录音

【实际结果】

3.不能录音

【对比信息】

使用耳机：sony wi-h700

使用的三方录音软件：ftp://cdiot@192.168.87.46/Figure/bug/audio_record/com.mobile.recorder_1.3.3_2022122801.apk

使用相同的耳机与录音软件，在其他安卓平板上可以正常录音

使用相同的耳机，使用微信拨打电话，对方可以听到自己的声音

History

#1 - 2023-03-14 19:47 - CD TPM-王祥林

- Category changed from LC to AUDIO-FW

- Assignee changed from CD TPM-王祥林 to Multimedia组-RD3_TSCD 梁卿山

#2 - 2023-03-16 17:24 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to WONTFIX

HI 李正

■ 当前状态

经过调查，录音apk始终使用的设备是handset-mic，副屏不支持该设备，

所以即使连接了带mic的蓝牙耳机也无法录制到声音。

该场景下录制不到声音是正常的。请关闭，谢谢！

#3 - 2023-03-16 17:30 - 移动测试一组_CDTS 刘强
ftp://cdiot@192.168.87.46/Figure/bug/audio_record/com.mobile.recorder_1.3.3_2022122801.apk


- Status changed from RESOLVED to VERIFIED

Hi all

经过研发调查多款录音软件均是用的设备mic，而非蓝牙mic。与pixel现象一致。

由于副屏没有mic因此不能录音为正常现象。

#4 - 2023-03-16 17:30 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
